## org.codehaus.groovy.grails.test.junit3
Class JUnit3GrailsEnvironmentTestSuite

    java.lang.Object
      junit.framework.TestSuite
          org.codehaus.groovy.grails.test.junit3.JUnit3GrailsEnvironmentTestSuite

All Implemented Interfaces:
  groovy.lang.GroovyObject, junit.framework.Test

    public class JUnit3GrailsEnvironmentTestSuite

extends junit.framework.TestSuite
implements groovy.lang.GroovyObject

Constructor Summary
`JUnit3GrailsEnvironmentTestSuite(ApplicationContext applicationContext, JUnit3GrailsTestTypeMode mode)`
`JUnit3GrailsEnvironmentTestSuite(Class test, ApplicationContext applicationContext, JUnit3GrailsTestTypeMode mode)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`GrailsTestAutowirer` `getAutowirer()`
`groovy.lang.MetaClass` `getMetaClass()`
`JUnit3GrailsTestTypeMode` `getMode()`
`Object` `getProperty(String property)`
`GrailsTestRequestEnvironmentInterceptor` `getRequestEnvironmentInterceptor()`
`GrailsTestTransactionInterceptor` `getTransactionInterceptor()`
`protected Object` `init(ApplicationContext applicationContext, JUnit3GrailsTestTypeMode mode)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `runTest(junit.framework.Test test, junit.framework.TestResult result)`
`void` `setAutowirer(GrailsTestAutowirer value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `setRequestEnvironmentInterceptor(GrailsTestRequestEnvironmentInterceptor value)`
`void` `setTransactionInterceptor(GrailsTestTransactionInterceptor value)`

Methods inherited from class junit.framework.TestSuite
`addTest, addTestSuite, countTestCases, createTest, getName, getTestConstructor, run, setName, testAt, testCount, tests, toString, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JUnit3GrailsEnvironmentTestSuite

    public JUnit3GrailsEnvironmentTestSuite(Class test,
                                            ApplicationContext applicationContext,
                                            JUnit3GrailsTestTypeMode mode)

### JUnit3GrailsEnvironmentTestSuite

    public JUnit3GrailsEnvironmentTestSuite(ApplicationContext applicationContext,
                                            JUnit3GrailsTestTypeMode mode)

Method Detail

### getAutowirer

    public GrailsTestAutowirer getAutowirer()

### setAutowirer

    public void setAutowirer(GrailsTestAutowirer value)

### getRequestEnvironmentInterceptor

    public GrailsTestRequestEnvironmentInterceptor getRequestEnvironmentInterceptor()

### setRequestEnvironmentInterceptor

    public void setRequestEnvironmentInterceptor(GrailsTestRequestEnvironmentInterceptor value)

### getTransactionInterceptor

    public GrailsTestTransactionInterceptor getTransactionInterceptor()

### setTransactionInterceptor

    public void setTransactionInterceptor(GrailsTestTransactionInterceptor value)

### getMode

    public JUnit3GrailsTestTypeMode getMode()

### init

    protected Object init(ApplicationContext applicationContext,
                          JUnit3GrailsTestTypeMode mode)

### runTest

    public void runTest(junit.framework.Test test,
                        junit.framework.TestResult result)

  Overrides:
    `runTest` in class `junit.framework.TestSuite`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project